org.apache.jmeter.protocol.http.correlation.rule

## Class CorrelationRule

- java.lang.Object
- - org.apache.jmeter.protocol.http.correlation.rule.CorrelationRule

- Direct Known Subclasses:
    BoundryExtractorCorrelationRule, HtmlExtractorCorrelationRule, JsonExtractorCorrelationRule, RegexExtractorCorrelationRule, XPath2ExtractorCorrelationRule

      public class CorrelationRule
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CorrelationRule(BoundaryExtractor boundaryExtractor)`
    `CorrelationRule(HtmlExtractor htmlExtractor)`
    `CorrelationRule(JSONPostProcessor jsonPathExtractor)`
    `CorrelationRule(Object jsonData)`
    `CorrelationRule(RegexExtractor regexExtractor)`
    `CorrelationRule(XPath2Extractor xPath2Extractor)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object rule)`
    `String` | `getAttribute()`
    `String` | `getExpr()`
    `String` | `getlBoundary()`
    `String` | `getName()`
    `String` | `getrBoundary()`
    `String` | `getType()`
    `int` | `hashCode()`
    `void` | `setAttribute(String attribute)`
    `void` | `setExpr(String expr)`
    `void` | `setlBoundary(String lBoundary)`
    `void` | `setName(String name)`
    `void` | `setrBoundary(String rBoundary)`
    `void` | `setType(String type)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CorrelationRule

          public CorrelationRule(Object jsonData)
                          throws com.fasterxml.jackson.databind.JsonMappingException,
                                 com.fasterxml.jackson.core.JsonProcessingException

      Throws:
        `com.fasterxml.jackson.databind.JsonMappingException`
        `com.fasterxml.jackson.core.JsonProcessingException`

    - #### CorrelationRule

          public CorrelationRule(HtmlExtractor htmlExtractor)

    - #### CorrelationRule

          public CorrelationRule(XPath2Extractor xPath2Extractor)

    - #### CorrelationRule

          public CorrelationRule(JSONPostProcessor jsonPathExtractor)

    - #### CorrelationRule

          public CorrelationRule(RegexExtractor regexExtractor)

    - #### CorrelationRule

          public CorrelationRule(BoundaryExtractor boundaryExtractor)

  - ### Method Detail

    - #### getAttribute

          public String getAttribute()

    - #### getExpr

          public String getExpr()

    - #### getlBoundary

          public String getlBoundary()

    - #### getName

          public String getName()

    - #### getrBoundary

          public String getrBoundary()

    - #### getType

          public String getType()

    - #### setAttribute

          public void setAttribute(String attribute)

    - #### setExpr

          public void setExpr(String expr)

    - #### setlBoundary

          public void setlBoundary(String lBoundary)

    - #### setName

          public void setName(String name)

    - #### setrBoundary

          public void setrBoundary(String rBoundary)

    - #### setType

          public void setType(String type)

    - #### equals

          public boolean equals(Object rule)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 1998-2019 Apache Software Foundation. All Rights Reserved.